"""
ヘッダー行のレイアウトの定義

    Last modified: 2025/06/24

    Copyright (c) 2025 toshifumi tsutsui
    Released under the MIT license
    https://wpandora8.net/the_mit_license.html
"""

from kivy.uix.boxlayout import BoxLayout


class HeaderItem(BoxLayout):
    """ヘッダー行のレイアウトを定義したクラス"""

    def __init__(self, **kwargs):
        """ヘッダー行のレイアウトのインスタンスを作成して返す。"""

        super().__init__(**kwargs)

        self.orientation = "horizontal"
